
GammaLib - Bug #1514

GCTACubePsf::save does not use clobber=false as default argument

07/20/2015 11:45 AM - Mayer Michael

Status: Closed Start date: 07/20/2015

Priority: Normal Due date:  

Assigned To: Mayer Michael % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

The GCTACubePsf::save() method differs from those in GCTACubeBackground and GCTACubeExposure. The latter two have

::save(std::string filename, bool clobber=false);

While GCTACubePsf::save(std::string filename, bool clobber). Accordingly there is not default argument for clobber. We should

change this to be more aligned with the other classes for stacked analysis.

History

#1 - 07/20/2015 12:13 PM - Knödlseder Jürgen

Fully agree.

#2 - 07/21/2015 10:45 AM - Mayer Michael

- Status changed from New to Pull request

- Assigned To set to Mayer Michael

- % Done changed from 0 to 100

Available on 1514-default-argument-for-GCTACubePsf-save

#3 - 07/23/2015 05:02 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

- Target version set to 1.0.0

Merged into devel.
